#! /bin/bash

###############################################################################
#    Webmin Sysstats - internet.sh
#
#    Webmin Sysstats Module
#    Copyright (C) 2001 by Eric Gerbier
#    Bug reports to: dbouius@users.sourceforge.net or gerbier@users.sourceforge.net
#    $Id: internet.sh,v 0.3 2001/12/07 10:33:01 gerbier Exp $
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
###############################################################################

. ../../config
. ./internet.cfg

calcul_gain() {
log=$1

if [  -r $log ]
then

	taille=$(wc -l $log | awk '{print $1}')

	if [ -z "$taille" ]
	then
		echo "U"
		return
	fi

	fic_taille_old=$(basename ${log}.taille)

	if [ -r ${fic_taille_old} ]
	then
		taille_old=$(cat ${fic_taille_old} )
	else
		taille_old=$taille
	fi

	# for next call
	echo $taille > ${fic_taille_old}

	if [ $taille -ge  $taille_old ]
	then
		let gain="$taille - $taille_old"
	else
		gain=U
	fi
	echo $gain

else
	echo "U"
fi

#set +x
}

if [ -z "$internet" ]
then
	exit
else
	# version proftpd
	gain_ftp=$(calcul_gain /var/log/proftpd/proftpd.log )
	# version wu-ftpd
	#gain_ftp=$(calcul_gain /var/log/xferlog )

	gain_http=$(calcul_gain /var/log/httpd/access_log )


	$rrdtool update ${rrdtables}internet.rrd N:$gain_ftp:$gain_http
fi
